Aviatorbarath
New member
I have a hybrid shape "INtersect in a know geometric set. I would like to do the selection automatically which is in the Geometric set named " geometric_Set_Disassemble rather specifying the name of the intersect
Any suggestions. My actual code is given below
Dim hybridbody8
Set hybridbody8 = hybridBodies1.Item(" Geometric_Set_Disassemble")
Set hybridShapes1 = hybridbody8.HybridShapes
Set selection1 = partDocument1.Selection
Set Disassemble = hybridShapes1.Item[highlight #FCE94F]("Intersect.2")[/highlight]
CATIA.ActiveDocument.Selection.Add (Disassemble)
Dim hybridbody9
Set hybridbody9 = hybridBodies1.Add()
hybridbody9.Name = " Disassembled_Lines"
'sets the newly created geometrical set as the in work object
Set hybridbody9 = hybridBodies1.Item(" Disassembled_Lines")
CATIA.StartCommand ("Disassemble")
' WshShell.AppActivate ("Disassemble")
'Call WshShell.SendKeys("%{TAB}", True)
CATIA.RefreshDisplay = True
SendKeys "{ENTER}", True